> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Instances



## OpenAPI

````yaml /api-reference/openapi.fr.json post /flow/mcp/sync
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /flow/mcp/sync:
    post:
      tags:
        - flow-mcp
      summary: Sync Instances
      operationId: sync_instances_flow_mcp_sync_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlowMcpSyncRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowMcpSyncResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FlowMcpSyncRequest:
      properties:
        device_id:
          type: string
          maxLength: 64
          minLength: 1
          title: Device Id
        device_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Device Name
        instances:
          items:
            $ref: '#/components/schemas/FlowMcpSyncInstanceItem'
          type: array
          title: Instances
      type: object
      required:
        - device_id
      title: FlowMcpSyncRequest
    FlowMcpSyncResponse:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        profiles:
          items:
            $ref: '#/components/schemas/FlowMcpProfileCreateResponse'
          type: array
          title: Profiles
      type: object
      title: FlowMcpSyncResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlowMcpSyncInstanceItem:
      properties:
        profile_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Profile Id
        instance_id:
          type: string
          format: uuid
          title: Instance Id
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
        local_path:
          type: string
          maxLength: 255
          minLength: 1
          title: Local Path
        token:
          type: string
          minLength: 1
          title: Token
        scopes:
          additionalProperties: true
          type: object
          title: Scopes
        remote_enabled:
          type: boolean
          title: Remote Enabled
          default: true
        slug:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Slug
      type: object
      required:
        - instance_id
        - name
        - local_path
        - token
      title: FlowMcpSyncInstanceItem
    FlowMcpProfileCreateResponse:
      properties:
        profile_id:
          type: string
          format: uuid
          title: Profile Id
        instance_id:
          type: string
          format: uuid
          title: Instance Id
        remote_urls:
          $ref: '#/components/schemas/FlowMcpRemoteUrls'
        mcp_server_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Mcp Server Id
      type: object
      required:
        - profile_id
        - instance_id
        - remote_urls
      title: FlowMcpProfileCreateResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FlowMcpRemoteUrls:
      properties:
        sse:
          type: string
          title: Sse
        http:
          type: string
          title: Http
      type: object
      required:
        - sse
        - http
      title: FlowMcpRemoteUrls
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/internal/v1/token

````